## mingw-w64-python-starlette-1~0.46.2-1.src.tar.zst

=== requirements.txt ===
# Optionals
-e .[full]

# Testing
coverage==7.8.0
importlib-metadata==8.6.1
mypy==1.15.0
ruff==0.11.2
typing_extensions==4.12.2
types-contextvars==2.4.7.3
types-PyYAML==6.0.12.20250326
types-dataclasses==0.6.6
pytest==8.3.5
trio==0.29.0

# Documentation
black==25.1.0
mkdocs==1.6.1
mkdocs-material==9.6.11
mkdocstrings-python==1.16.8

# Packaging
build==1.2.2.post1
twine==6.1.0
